OGRE-Next: Ogre::CompositorPassWarmUp Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CompositorPassWarmUp Class Reference
Core » Effects

Implementation of CompositorPass. More...

`#include <OgreCompositorPassWarmUp.h>`

Inheritance diagram for Ogre::CompositorPassWarmUp:
[legend]

## Public Member Functions
| CompositorPassWarmUp (const CompositorPassWarmUpDef *definition, Camera *defaultCamera, CompositorNode *parentNode, const RenderTargetViewDef *rtv)
| ~CompositorPassWarmUp () override=default
void | execute (const Camera *lodCamera) override
Camera * | getCamera ()
Public Member Functions inherited from Ogre::CompositorPass
| CompositorPass (const CompositorPassDef *definition, CompositorNode *parentNode)
virtual | ~CompositorPass ()
ResourceTransitionArray & | _getResourceTransitionsNonConst ()
virtual void | analyzeBarriers (const bool bClearBarriers=true)
| Bakes all of the memory barriers / resource transition that will be needed before executing a GPU command like rendering, copying/blit or compute.
Vector2 | getActualDimensions () const
const CompositorPassDef * | getDefinition () const
const CompositorNode * | getParentNode () const
RenderPassDescriptor * | getRenderPassDesc () const
const ResourceTransitionArray & | getResourceTransitions () const
const CompositorTextureVec & | getTextureDependencies () const
CompositorPassType | getType () const
Real | getViewportAspectRatio (size_t vpIdx)
virtual void | notifyCleared ()
virtual void | notifyDestroyed (const UavBufferPacked *buffer)
virtual void | notifyDestroyed (TextureGpu *channel)
virtual bool | notifyRecreated (const TextureGpu *channel)
virtual void | notifyRecreated (const UavBufferPacked *oldBuffer, UavBufferPacked *newBuffer)
void | profilingBegin ()
void | profilingEnd ()
virtual void | resetNumPassesLeft ()

## Detailed Description

Implementation of CompositorPass.

This implementation simulates rendering but doesn't actually render and tries to bypass as much as possible.

The main goal is to reach shader compilation and PSO creation of all objects on scene, taking visibility flags and RenderQueue IDs into consideration but ignoring camera frustum culling.

Due to some technical challenges, we require more information than what should be strictly necessary. For example we require a valid Camera pointer because some V1 objects include Vertex Layout creation inside updateRenderQueue (which requires a camera to perform per-billboard orientation facing), however a Camera in theory shouldn't be necessary.

Author
  Matias N. Goldberg

Version
  1.0

## Constructor & Destructor Documentation

## ◆ CompositorPassWarmUp()

Ogre::CompositorPassWarmUp::CompositorPassWarmUp | ( | const CompositorPassWarmUpDef * | definition,
|  | Camera * | defaultCamera,
|  | CompositorNode * | parentNode,
|  | const RenderTargetViewDef * | rtv )

## ◆ ~CompositorPassWarmUp()

Ogre::CompositorPassWarmUp::~CompositorPassWarmUp | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ execute()

void Ogre::CompositorPassWarmUp::execute | ( | const Camera * | lodCamera | ) |
| overridevirtual

Implements Ogre::CompositorPass.

## ◆ getCamera()

Camera * Ogre::CompositorPassWarmUp::getCamera | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreCompositorPassWarmUp.h